Subject: [RFC 2/3] arm64: refactor save_stack_trace()

From: [email-masked] (Will Deacon)
Date: Fri, 17 Jul 2015 11:46:05 +0100

Hi Steve,

On Thu, Jul 16, 2015 at 02:38:18AM +0100, Steven Rostedt wrote:
> On Thu, 16 Jul 2015 10:08:03 +0900
> AKASHI Takahiro <[email-masked]> wrote:
> 
> > On 07/16/2015 09:27 AM, AKASHI Takahiro wrote:
> > > On 07/16/2015 01:13 AM, Steven Rostedt wrote:
> > >> On Wed, 15 Jul 2015 10:55:36 -0400
> > >> Steven Rostedt <[email-masked]> wrote:
> > >>
> > >>
> > >>> I'll take a look at it and try to clean up the code.
> > >>
> > >> Does the  following patch make sense for you?
> > >
> > > Looks nice. The patch greatly simplifies changes on arm64 side.
> > 
> > As follows:
> > 
> > - Takahiro AKASHI
> > 
> 
> How should we go forward with this. Want me to make my change to my
> tree, and pull this patch in with it? I can set up for a 4.3 release.
> 
> Then if I can get an Acked-by from one of the arm64 maintainers, I can
> have this go through my tree?

To be honest, I've completely lost track of this thread!

Once you and Akashi have settled on a way forward, I'm happy to take a look
at anything touching arch/arm64/, but it seems like you're still discussing
some aspects of the series atm.

Will